Subject: RE: [Bridge-mib] Re: Draft-iet-bridge-bridgemib-smiv2-09.txt

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Fri, 28 Jan 2005 14:50:36 +0100

And so....

if the text about which objects of other modules moves to the
MODULE COMPLIANCE then you can keep a deprecated MODULE-COMPLIANCE
that exactly matches rfc1493 and create a new one that matches the
desire (of some) for moving away from RFC1213 depoendecy (if it is
listed in a deprecated MODULE-COMPLIANCE< then I think an Informative
ref is fine. The new MODULE-COMPLIANCE can refer to 3418 and 2863.
(which then become normative)

Does that help?

Bert

> -----Original Message-----
> From: David B Harrington [mailto:[email-masked]]
> Sent: Friday, January 28, 2005 14:26
> To: [email-masked]
> Cc: 'Wijnen, Bert (Bert)'; 'C. M. Heard'; 'Bridge-Mib (E-mail)'
> Subject: RE: [Bridge-mib] Re: Draft-iet-bridge-bridgemib-smiv2-09.txt
> 
> 
> Hi Juergen,
> 
> Personally, I thought the original vague text was fine, as was the
> original reference to RFC1213.
> I agree that most implementations would simply do all seven system
> objects, and similarly for interfaces.
> 
> But we have competing interests. You and Bert want to get rid of
> references to RFC1213. Mike wants to get rid of inaccurate statements
> about relationships to other mibs. I would like to keep the RFC1213
> reference because compatibility with RFC1493 has been the primary
> goal, but unless others in the WG speak up and say that such
> compliance is the consensus and that RFC1213 is fine, as co-chair, I
> need to try to adjudicate the competing consensuses.
> 
> One consensus is that we shouldn't use a reference to RFC1213. This is
> the view of you and Bert; we have two persons, one being an O&M AD.
> Mike and I are willing to accept that using it is undesirable, but not
> critical.
> Mike tells us that the OPS AD insists on accurate cross-document
> dependencies; again, we have two persons, one being an AD. (We haven't
> heard David actually say this however). 
> 
> Unfortunately, these two views are hard to reconcile; if you point to
> RFC3418 and RFC2863 instead of RFC1213, the statements become
> inaccurate; if you point to the available confirmance clauses, the
> document becomes inaccurate; if you list all seven system objects and
> the many interfaces objects as dependencies, the document becomes
> inaccurate.
> 
> Me, I want see the document finished so we can move on to other
> documents in the WG charter, and move toward WG closure. What I see is
> a debate between two entrenched positions, neither of which helps an
> operator manage a device. This debate is all about IETF publication
> process and neither way of specifying the relationship between mib
> modules offers anything substantive to an operator.
> 
> Will you yield on your insistence to not use RFC1213? Bert, will you
> yield on this point? If so, consensus could move to "while we are
> referenceing RFC1213, and that may be undesirable, using RFC1213 in
> the statement of relationships between mib modules is in fact the
> closest we can get to accurately portraying the original intent, and
> therefore its usage should be acceptable."
> 
> David Harrington
> [email-masked]
> co-chair, IETF Bridge WG
>  
> 
> > -----Original Message-----
> > From: Juergen Schoenwaelder [mailto:[email-masked]] 
> > Sent: Friday, January 28, 2005 2:49 AM
> > To: David B Harrington
> > Cc: 'Wijnen, Bert (Bert)'; 'C. M. Heard'; 'Bridge-Mib (E-mail)'
> > Subject: Re: [Bridge-mib] Re:
> Draft-iet-bridge-bridgemib-smiv2-09.txt
> > 
> > On Thu, Jan 27, 2005 at 08:34:14PM -0500, David B Harrington wrote:
> > 
> > [...]
> >  
> > > --- comments on Juergen's proposed text:
> > > Section 3.2.1: I believe Juergen's proposed text that says
> > > 'Implementation of the BRIDGE-MIB module requires
> > > that at least ... are implemented' is inaccurate; this mib 
> > module can
> > > be implemented without those objects if desired, but you will miss
> > > some of the objects recommended by 802.1-D, and the 
> > functionality they
> > > provide (but then even if you implement this mib module plus those
> > > objects, you'll still be missing some objects listed in 802.1-D
> and
> > > the functionality they provide, as described in 3.1).
> > 
> > Obviously there is no common view what RFC 1493 was trying to say in
> > section 3.2.* and this is why I orginally liked to keep some rather
> > vague text. In practical terms, I have never seen a bridge which did
> > not implement the seven system scalars so from a practical 
> > perspective,
> > this whole debate is really a mood point and a waste of time.
> >  
> > > Section 3.2.2: I believe Juergen's proposed ext that says
> > > 'Implementation of the BRIDGE-MIB module requires that the
> following
> > > objects of the IF-MIB module are implemented' is inaccurate in its
> > > list, as I describe above.
> > 
> > It boils down to how you read the first paragraph in 3.2.2. 
> > My reading 
> > is that it says segments are considered subnetworks from the 
> > interfaces 
> > point of view and that the interfaces group is mandatory for 
> > all systems. 
> > Again, I have never seen a bridge which did not implement the full 
> > interfaces group.
> > 
> > /js
> > 
> > -- 
> > Juergen Schoenwaelder		    International 
> University Bremen
> > <http://www.eecs.iu-bremen.de/>	    P.O. Box 750 561, 
> > 28725 Bremen, Germany
> > 
> 
> 

_______________________________________________
Bridge-mib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bridge-mib